| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__PrefixAccessCode Struct Reference
Prefix Access Code

Prefix Access Code Data. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__PACprefixType * | prefixType
| Indicates the type of prefix and access code. More...
int * | digitPos
| Indicates the number of leading digits to be stripped from the destination DN before translating the resulting DN. More...
char * | digitsInsert
| Inserted digits after the digitPos. More...
int * | trailingDigitPos
| Indicates the position at which to delete extraneous trailing digits. More...
enum unsp__PACNatureOfAddress * | noa
| Indicates the Nature of Address of the DN resulting from the digit editing. More...
enum unsp__PACDestType * | destType
| Indicates the destination type. More...
char * | destName
| Indicates the destination name. More...
int * | CACLength
| Indicates the length of the Carrier Access Code (CAC) after the digit position. More...

## Detailed Description

Prefix Access Code Data.

## Member Data Documentation

## ◆ CACLength

int* unsp__PrefixAccessCode::CACLength

Indicates the length of the Carrier Access Code (CAC) after the digit position.

required: true for CAC Prefix Type
default value[range]: 0 [0..6]

## ◆ destName

char* unsp__PrefixAccessCode::destName

Indicates the destination name.

required: false

See also
  unsp__DestName

## ◆ destType

enum unsp__PACDestType* unsp__PrefixAccessCode::destType

Indicates the destination type.

required: false
default value[range]: NA

## ◆ digitPos

int* unsp__PrefixAccessCode::digitPos

Indicates the number of leading digits to be stripped from the destination DN before translating the resulting DN.

If digitPos is 0, the prefix digits are not dropped from the called number
required: false
default value[range]: 0

## ◆ digitsInsert

char* unsp__PrefixAccessCode::digitsInsert

Inserted digits after the digitPos.

required: false
default value[range]: NA [1..15]

## ◆ noa

enum unsp__PACNatureOfAddress* unsp__PrefixAccessCode::noa

Indicates the Nature of Address of the DN resulting from the digit editing.

The digit editing is based on the digitPos, digitsInsert, and trailingDigitPos.
required: false
default value[range]: PAC_Unknown

## ◆ prefixType

enum unsp__PACprefixType* unsp__PrefixAccessCode::prefixType

Indicates the type of prefix and access code.

required: false
default value[range]: PAC_Operator0Plus

## ◆ trailingDigitPos

int* unsp__PrefixAccessCode::trailingDigitPos

Indicates the position at which to delete extraneous trailing digits.

required: false
default value[range]: NA [1..30]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h